> For the complete documentation index, see [llms.txt](https://docs.spectrumcustomizer.com/integration/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spectrumcustomizer.com/integration/ecommerce/spectrum-and-shopify-integration/line-item-properties.md).

# Line Item Properties

In order for Spectrum to import orders for manufacturing, there must be an indication that the line item is a customized item versus a stock item. The preferred method to do this is to create a custom line item property called `_recipeId` to store the recipe identifier that is passed to Shopify via the [Add to Cart](/integration/ecommerce/add-to-cart.md) process. This allows Spectrum to seamlessly [process the order](/integration/ecommerce/spectrum-and-shopify-integration/order-processing.md).

{: .note }

> The leading underscore hides the property from customers in Liquid. The property name is configurable per store.

Relatedly, if following the product set up guidance, where the customization "add-on"/upcharge is configured as a unique variant, Spectrum recommends a line item property to associate the "add-on" with a line item. The recommended line item property name is `relatedRecipe`. The benefit to setting this property is that it allows Spectrum to fulfill all custom line items associated with the order automatically.

{: .note }

> `relatedRecipe` is also configurable per store.

**Example Shopify Order and Line Items**

```
"line_items": [
    {
        "id": 1234,
        "admin_graphql_api_id": "gid://shopify/LineItem/1234",
        "attributed_staffs": [],
        "current_quantity": 1,
        "fulfillable_quantity": 1,
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "gift_card": false,
        "grams": 0,
        "name": "Custom Product",
        "price": "42.00",
        "price_set": {
            "shop_money": {
                "amount": "99.00",
                "currency_code": "USD"
            },
            "presentment_money": {
                "amount": "99.00",
                "currency_code": "USD"
            }
        },
        "product_exists": true,
        "product_id": 12345,
        "properties": [
            {
                "name": "_recipeId",
                "value": "ABDC1234"
            }
        ],
        "quantity": 1,
        "requires_shipping": true,
        "sku": "12928819",
        "taxable": true,
        "title": "Custom Item",
        ...
    },
    {
        "id": 1235,
        "admin_graphql_api_id": "gid://shopify/LineItem/1235",
        "attributed_staffs": [],
        "current_quantity": 1,
        "fulfillable_quantity": 1,
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "gift_card": false,
        "grams": 0,
        "name": "Custom Engraving",
        "price": "10.00",
        "price_set": {
            "shop_money": {
                "amount": "20.00",
                "currency_code": "USD"
            },
            "presentment_money": {
                "amount": "20.00",
                "currency_code": "USD"
            }
        },
        "product_exists": true,
        "product_id": 12346,
        "properties": [
            {
                "name": "relatedRecipe",
                "value": "ABDC1234"
            }
        ],
        "quantity": 1,
        "requires_shipping": false,
        "sku": "customengraving",
        "taxable": false,
        "title": "Custom Engraving",
        ...
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spectrumcustomizer.com/integration/ecommerce/spectrum-and-shopify-integration/line-item-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
